CLUSTERDB(1)

NAME
clusterdb - cluster a PostgreSQL database

SYNOPSIS

clusterdb [ connection-options... ] [ --table | -t table ] [ dbname ] clusterdb [ connection-options... ] [ --all | -a ]

DESCRIPTION

clusterdb is a utility for reclustering tables in a PostgreSQL database. It finds tables that have previously been clustered, and clusters them again on the same index that was last used. Tables that have never been clustered are not touched.

clusterdb is a shell script wrapper around the backend command CLUSTER [cluster(7)] via the PostgreSQL interactive terminal psql(1). There is no effective difference between clustering databases via this or other methods. psql must be found by the script and a database server must be running at the targeted host. Also, any default settings and environment variables available to psql and the libpq front-end library do apply.

clusterdb might need to connect several times to the PostgreSQL server, asking for a password each time. It is convenient to have a $HOME/.pgpass file in such cases.

OPTIONS

clusterdb accepts the following command-line arguments:

-a

--all
    Cluster all databases.

[-d] dbname

[--dbname] dbname
    Specifies the name of the database to be clustered. If this is not specified and -a (or --all) is not used, the database name is read from the environment variable PGDATABASE. If that is not set, the user name specified for the connection is used.

-e

--echo
    Echo the commands that clusterdb generates and sends to the server.

-q

--quiet
    Do not display a response.

-t table

--table table
    Clusters table only.

clusterdb also accepts the following command-line arguments for connection parameters:

-h host

--host host
    Specifies the host name of the machine on which the server is running. If host begins with a slash, it is used as the directory for the Unix domain socket.

-p port

--port port
    Specifies the Internet TCP/IP port or local Unix domain socket file extension on which the server is listening for connections.

-U username

--username username
    User name to connect as

-W

--password
    Force password prompt.

DIAGNOSTICS

CLUSTER
    Everything went well.

clusterdb: Cluster failed.
    Something went wrong. clusterdb is only a wrapper script. See CLUSTER [cluster(7)] and psql(1) for a detailed discussion of error messages and potential problems. Note that this message may appear once per table to be clustered.

ENVIRONMENT

PGDATABASE

PGHOST

PGPORT

PGUSER
    Default connection parameters.

EXAMPLES

To cluster the database test:

$ clusterdb test

To cluster a single table foo in a database named xyzzy:

$ clusterdb --table foo xyzzy

SEE ALSO
CLUSTER [cluster(7)]